#!/bin/bash
#
# Display qmail-scanner-queue.pl configurations options
# ST

if [ $1 ]; then
   QMAIL_SCANNER_QUEUE=$1
else
   QMAIL_SCANNER_QUEUE="/var/qmail/bin/qmail-scanner-queue.pl"
fi

if [ ! -f $QMAIL_SCANNER_QUEUE ]; then
   echo
   echo "  File $QMAIL_SCANNER_QUEUE doesn't exist"
   echo
   echo "  Please give the full-path to the actual qmail-scanner-queue.pl"
   echo
   echo "  ( Usage $0 [full-path to qmail-scanner-queue.pl] )"
   echo
   exit 0
fi

#CMDLINE=`head -n 10 $QMAIL_SCANNER_QUEUE | tail -1 | cut -b 3- | sed -e 's/ \-\-/:\-\-/g'`
CMDLINE=`egrep '# ./configure' $QMAIL_SCANNER_QUEUE | tail -1 | cut -b 3- | sed -e 's/ \-\-/:\-\-/g'`


FF=""

#echo
#echo "$CMDLINE"
#echo

while [ "$CMDLINE" != "" ]
do

DD=`echo "$CMDLINE" | cut -d: -f 1`

if [  "$CMDLINE" = "$DD" ] ; then
   FF=$FF' \'"
$DD"
   echo "$FF"
   echo
   exit
elif [ "$FF" = "" ] ; then
   FF="$DD"
   CMDLINE=`echo "$CMDLINE" | cut -d: -f 2-`
else
   FF=$FF' \'"
$DD"
   CMDLINE=`echo "$CMDLINE" | cut -d: -f 2-`
fi

done 
